#! /bin/sh

VERSION=1.8.0

showJaLicense()
{
    CURRENT=`dirname "${0}"`
    LICENSE=`cat $CURRENT/AstahLicenseAgreement.txt`
            cat << JP_LICENSE

astah使用許諾契約をお読みください。
[Spaceキー] 次ページへ進みます。
[Enterキー] 使用許諾の最後まで進みます。

なお、astah使用許諾契約に同意できない場合は
本パッケージをアンインストールしてください。

--------------------------------------------------------------------------------
${LICENSE}
--------------------------------------------------------------------------------

JP_LICENSE
}

showEnLicense()
{
    CURRENT=`dirname "${0}"`
    LICENSE=`fold $CURRENT/AstahLicenseAgreement-e.txt -c 80 -s`
    cat << EN_LICENSE

Please read [END-USER LICENSE AGREEMENT].
Press the spacebar to display the next page.
Press the EnterKey to read through the agreement.

Please uninstall this package when it is not possible to agree
to the END-USER LICENSE AGREEMENT.

--------------------------------------------------------------------------------
${LICENSE}
--------------------------------------------------------------------------------

EN_LICENSE
}

showLicense()
{
  echo $LANG|grep ja > /dev/null
  if [ $? -eq 0 ]
  then
    /bin/more << JP_LICENSE_IN_SCRIPT
`showJaLicense`
JP_LICENSE_IN_SCRIPT
  else
    /bin/more << EN_LICENSE_IN_SCRIPT
`showEnLicense`
EN_LICENSE_IN_SCRIPT
  fi
}

checkCommand()
{
  if [ $# -eq 2 ]
  then
    COMMAND=${1}
    KEYWORD=${2}
  else
    echo "USAGE:${0} COMMAND KEYWORD"
  fi

  which ${COMMAND} > /dev/null 2>&1
  if [ $? -eq 0 ]
  then
    readlink -e /usr/bin/${COMMAND}|grep ${KEYWORD} > /dev/null
    echo $?
  else
    echo $?
  fi
}

showOKmsg()
{
  cat << OK_MSG

The following command for running ${PRODUCT_NAME}.

  \$${ASTAH}


Notice: Adoptium Temurin 8u402 or later is needed by ${PRODUCT_NAME}. However JDK 9 or later cannot be accepted.

OK_MSG
}

showNGmsg()
{
  cat << NG_MSG

Please install Adoptium Temurin 8u402 or later. However JDK 9 or later cannot be accepted.
And then try the following command for running ${PRODUCT_NAME}.

  \$${ASTAH}

Notice: Adoptium Temurin 8u402 or later is needed by ${PRODUCT_NAME}. However JDK 9 or later cannot be accepted.

NG_MSG
}

showInstallStatus()
{
  CKJDK=`checkCommand javac ${VERSION}`
  CKJRE=`checkCommand java ${VERSION}`
  if [ ${CKJDK} -eq 0 ] || [ ${CKJRE} -eq 0 ]
  then
    showOKmsg
  else
    showNGmsg
  fi
}

showLicense
showInstallStatus
